%define major           0
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname -d %{name}

Name:           keybinder
Version:        0.2.2
Release:        %mkrel 4
Summary:        A library for registering global keyboard shortcuts
License:        GPLv2+
Group:          Development/Python
URL:            http://kaizer.se/wiki/keybinder/
Source0:        http://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(lua)

%description
keybinder is a library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Lua bindings, lua-keybinder
- Python bindings, python-keybinder
- An examples directory with programs in C, Lua, Python and Vala.


%package -n %{libname}
Group:          Development/Python
Summary:        %{name} library package

%description -n %{libname}
%{summary}.


%package -n %{develname}
Group:          Development/Python
Summary:        %{name} developement files
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{develname}
This package contains header files needed when building applications based on
%{name}.


%package -n python-%{name}
Group:          Development/Python
Summary:        %{name} python bindings
Requires:       %{libname} = %{version}
Requires:       pygtk2.0
Requires:       python-gobject

%description -n python-%{name}
This package contains python bindings for keybinder.


%prep
%setup -q

%build
%configure2_5x --disable-static --enable-python
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files
%doc ChangeLog NEWS AUTHORS README

%files -n %{libname}
%{_libdir}/libkeybinder.so.%{major}*

%files -n %{develname}
%{_includedir}/keybinder.h
%{_libdir}/lua/*/keybinder.so
%{_libdir}/libkeybinder.so
%{_libdir}/pkgconfig/keybinder.pc

%files -n python-%{name}
%{python_sitearch}/%{name}


%changelog

* Fri Feb 03 2012 kamil <kamil> 0.2.2-4.mga2
+ Revision: 204200
- fix license (it's GPLv2+)
- fix width of the description
- clean .spec
- adapt .spec for Mageia
- imported package keybinder


* Fri Nov 12 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.2.2-2mdv2011.0
+ Revision: 596997
- rebuild for python 2.7

* Mon Aug 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.2-1mdv2011.0
+ Revision: 565149
- improve requires
- import keybinder


